import { u as m, a as v } from "./useScrollHandling-4aec644f.js";
import { reactive as c, toRefs as o } from "vue";
function s(i, e) {
  const r = {};
  for (const n in i)
    typeof e[n] == "string" ? r[n] = e[n] || i[n] : Array.isArray(e[n]) ? r[n] = e[n].length ? e[n] : i[n] : r[n] = {
      ...i[n],
      ...e[n]
    };
  return { ...r };
}
function y(i, e) {
  const r = c({});
  for (const t in i)
    typeof e[t] == "string" ? r[t] = e[t] || i[t] : Array.isArray(e[t]) ? r[t] = e[t].length ? e[t] : i[t] : r[t] = {
      ...i[t],
      ...e[t]
    };
  return { ...o(r) };
}
export {
  s as setDefaultValues,
  y as setReactiveDefaultValues,
  m as useBreakpoints,
  v as useScrollHandling
};
